package com.yeejoin.amos.patrol.business.vo;

import com.yeejoin.amos.patrol.dao.entity.InputItem;

import java.util.ArrayList;
import java.util.List;

public class PointInputItemNewVo{
	/**
	 *
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * id
	 */
	private Long id;

	/**
	 * 装备id
	 */
	private String equipmentId;
	/**
	 * 装备名称
	 */
	private String name;

	/**
	 * 区域id
	 */
	private String sourceId;
	/**
	 * 区域号
	 */
	private String sourceCode;
	/**
	 * 系统id
	 */
	private String systemId;
	/**
	 * 装备类型
	 */
	private String categoryName;
	/**
	 * 装备code
	 */
	private String categoryCode;
	/**
	 * 地址
	 */
	private String address;
	/**
	 * 区域
	 */
	private String acre;
	/**
	 * 巡查规范名称
	 */
	private String inspectionName;

	/**
	 * 维保规范名称
	 */
	private String maintenanceName;
	/**
	 * 序号
	 */
	private Integer orderNo;

	private List<PointInputItemVo> equipIputDetailData = new ArrayList<PointInputItemVo>();

	public List<PointInputItemVo> getEquipIputDetailData() {
		return equipIputDetailData;
	}

	public void setEquipIputDetailData(List<PointInputItemVo> equipIputDetailData) {
		this.equipIputDetailData = equipIputDetailData;
	}

	public Integer getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(Integer orderNo) {
		this.orderNo = orderNo;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getEquipmentId() {
		return equipmentId;
	}

	public void setEquipmentId(String equipmentId) {
		this.equipmentId = equipmentId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getSourceId() {
		return sourceId;
	}

	public void setSourceId(String sourceId) {
		this.sourceId = sourceId;
	}

	public String getSourceCode() {
		return sourceCode;
	}

	public void setSourceCode(String sourceCode) {
		this.sourceCode = sourceCode;
	}

	public String getSystemId() {
		return systemId;
	}

	public void setSystemId(String systemId) {
		this.systemId = systemId;
	}

	public String getCategoryName() {
		return categoryName;
	}

	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}

	public String getCategoryCode() {
		return categoryCode;
	}

	public void setCategoryCode(String categoryCode) {
		this.categoryCode = categoryCode;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getAcre() {
		return acre;
	}

	public void setAcre(String acre) {
		this.acre = acre;
	}
	public String getInspectionName() {
		return inspectionName;
	}

	public void setInspectionName(String inspectionName) {
		this.inspectionName = inspectionName;
	}

	public String getMaintenanceName() {
		return maintenanceName;
	}

	public void setMaintenanceName(String maintenanceName) {
		this.maintenanceName = maintenanceName;
	}
}
